array_push
array_reduce
Array Functions
PHP Manual

# array_rand

(PHP 4, PHP 5)

array_rand — Pick one or more random entries out of an array

### Description

mixed array_rand ( array `$input` [, int `$num_req` ] )

array_rand() is rather useful when you want to pick one or more random entries out of an array.

### Parameters

`input`

  The input array.

`num_req`

  Specifies how many entries you want to pick - if not specified, defaults to 1.

### Return Values

If you are picking only one entry, array_rand() returns the key for a random entry. Otherwise, it returns an array of keys for the random entries. This is done so that you can pick random keys as well as values out of the array.

### Examples

Example #1 array_rand() example

`<?php
srand((float) microtime() * 10000000);
$input = array("Neo", "Morpheus", "Trinity", "Cypher", "Tank");
$rand_keys = array_rand($input, 2);
echo $input[$rand_keys[0]] . "\n";
echo $input[$rand_keys[1]] . "\n";
?>`

### Notes

> Note: As of PHP 4.2.0, there is no need to seed the random number generator with srand() or mt_srand() as this is now done automatically.

### See Also

- shuffle()

array_push
array_reduce
Array Functions
PHP Manual